
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPCallOperation  extends IRPState {
	/**
	 * get property get operation
	 * @throws RhapsodyRuntimeException
	 */
	public IRPInterfaceItem getOperation();
	/**
	 * get property get target
	 * @throws RhapsodyRuntimeException
	 */
	public IRPRelation getTarget();
	/**
	 * set property get operation
	 * @throws RhapsodyRuntimeException
	 */
	public void setOperation(IRPInterfaceItem operation);
	/**
	 * set property get target
	 * @throws RhapsodyRuntimeException
	 */
	public void setTarget(IRPRelation target);
}

