
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPDependency  extends IRPModelElement {
	/**
	 * get property dependent
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getDependent();
	/**
	 * get property dependsOn
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getDependsOn();
	/**
	 * set property dependent
	 * @throws RhapsodyRuntimeException
	 */
	public void setDependent(IRPModelElement dependent);
	/**
	 * set property dependsOn
	 * @throws RhapsodyRuntimeException
	 */
	public void setDependsOn(IRPModelElement dependsOn);
}

