
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPObjectNode  extends IRPState {
	/**
	 * method addInState
	 * @throws RhapsodyRuntimeException
	 */
	public void addInState(IRPModelElement val);
	/**
	 * get property get inState
	 * @throws RhapsodyRuntimeException
	 */
	public String getInState();
	/**
	 * get property get inStateList
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getInStateList();
	/**
	 * get property get represents
	 * @throws RhapsodyRuntimeException
	 */
	public IRPModelElement getRepresents();
	/**
	 * method removeInState
	 * @throws RhapsodyRuntimeException
	 */
	public void removeInState(IRPModelElement val);
	/**
	 * set property get inState
	 * @throws RhapsodyRuntimeException
	 */
	public void setInState(String inState);
	/**
	 * set property get represents
	 * @throws RhapsodyRuntimeException
	 */
	public void setRepresents(IRPModelElement represents);
}

