
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPAttribute interface represents an attribute of a class.
  */
public interface IRPAttribute  extends IRPVariable {
	/**
	 * get property isConstant
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsConstant();
	/**
	 * get property isOrdered
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsOrdered();
	/**
	 * get property isReference
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsReference();
	/**
	 * get property isStatic
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsStatic();
	/**
	 * get property multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public String getMultiplicity();
	/**
	 * get property visibility
	 * @throws RhapsodyRuntimeException
	 */
	public String getVisibility();
	/**
	 * set property isConstant
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsConstant(int isConstant);
	/**
	 * set property isOrdered
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsOrdered(int isOrdered);
	/**
	 * set property isReference
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsReference(int isReference);
	/**
	 * set property isStatic
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsStatic(int isStatic);
	/**
	 * set property multiplicity
	 * @throws RhapsodyRuntimeException
	 */
	public void setMultiplicity(String multiplicity);
	/**
	 * set property visibility
	 * @throws RhapsodyRuntimeException
	 */
	public void setVisibility(String visibility);
}

