
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPMatrixView  extends IRPUnit {
	/**
	 * method GetFromScope
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getFromScope();
	/**
	 * method GetImageCollection
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getImageCollection(String sFolder, String sFilename, String sExtension);
	/**
	 * method GetItsMatrixLayout
	 * @throws RhapsodyRuntimeException
	 */
	public IRPMatrixLayout getItsMatrixLayout();
	/**
	 * method GetToScope
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getToScope();
	/**
	 * method SetFromScope
	 * @throws RhapsodyRuntimeException
	 */
	public void setFromScope(IRPCollection pCollection);
	/**
	 * method SetItsMatrixLayout
	 * @throws RhapsodyRuntimeException
	 */
	public void setItsMatrixLayout(IRPMatrixLayout pVal);
	/**
	 * method SetToScope
	 * @throws RhapsodyRuntimeException
	 */
	public void setToScope(IRPCollection pCollection);
	/**
	 * get property reserve1
	 * @throws RhapsodyRuntimeException
	 */
	public String getReserve1();
}

