
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;



public interface IRPPin  extends IRPConnector {
	/**
	 * get property isParameter
	 * @throws RhapsodyRuntimeException
	 */
	public int getIsParameter();
	/**
	 * get property pinDirection
	 * @throws RhapsodyRuntimeException
	 */
	public String getPinDirection();
	/**
	 * get property pinType
	 * @throws RhapsodyRuntimeException
	 */
	public IRPClassifier getPinType();
	/**
	 * set property isParameter
	 * @throws RhapsodyRuntimeException
	 */
	public void setIsParameter(int isParameter);
	/**
	 * set property pinDirection
	 * @throws RhapsodyRuntimeException
	 */
	public void setPinDirection(String pinDirection);
	/**
	 * set property pinType
	 * @throws RhapsodyRuntimeException
	 */
	public void setPinType(IRPClassifier pinType);
}

