
//Licensed Materials - Property of IBM 
// Copyright IBM Corporation 2006, 2008. All Rights Reserved.

package com.telelogic.rhapsody.core;


 /**
  * The IRPSequenceDiagram interface represents sequence diagrams in a Rational Rhapsody model.
  */
public interface IRPSequenceDiagram  extends IRPDiagram {
	/**
	 * method getLogicalCollaboration
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollaboration getLogicalCollaboration();
	/**
	 * method getRelatedUseCases
	 * @throws RhapsodyRuntimeException
	 */
	public IRPCollection getRelatedUseCases();
}

